# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from .. import settings as ps


# unique

# common
def is_enabled():
    try:
        from project.fal.replication import Replication
        return Replication().feature()['report']
    except:
        return False

NAME = 'replication'
ID = ps.ID + NAME
IS_ENABLE = is_enabled()
NAME_FORDISPLAY = _(u'Replication Information')
IS_MENU_ITEM = IS_ENABLE
IS_MENU_TAIL = True
MENU_ORDER = 800
MENU_URL = '/'.join([ps.MENU_URL, NAME])
MENU_ICON = 'EventLog.png'

MENU_HELP_TEXT = u"" if _(u"MENU_HELP_TEXT: info replication") == u"MENU_HELP_TEXT: info replication" else _(u"MENU_HELP_TEXT: info replication")
